#pragma once
class QueueCB
{
    enum {BSIZE=8};
public:
    QueueCB(void);
    virtual ~QueueCB(void);
    void init(void);
    void destroy(void);
    bool isEmpty(void);
    bool isFull(void);
    bool get(int* data);
    bool put(int data);
private:
    int m_head;
    int m_tail;
    int *m_buffer;
};

